Eclipses
POST
/eclipses
curl -X POST https://api.astroway.info/v1/eclipses \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "year": 2024, "yearsRange": 2 }'const res = await fetch('https://api.astroway.info/v1/eclipses', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "year": 2024, "yearsRange": 2 }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/eclipses', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'year': 2024, 'yearsRange': 2 },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('eclipses', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'year' => 2024, 'yearsRange' => 2, ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Find solar and lunar eclipses within a given year or multi-year range. Returns type, date, and geographic visibility data.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
year required
number
yearsRange
number
Example
{ "year": 2024, "yearsRange": 2}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
eclipses
Array<object>
object
kind
string
type
string
maxJd
number
maxDate
string
beginJd
number
beginDate
string
endJd
number
endDate
string
longitude
number
signIndex
number
totalityBeginJd
number
totalityEndJd
number
Example
{ "ok": true, "data": { "eclipses": [ { "kind": "solar", "type": "hybrid", "maxJd": 2460054.6783186323, "maxDate": "2023-04-20T04:16:47.000Z", "beginJd": 2460054.565720898, "beginDate": "2023-04-20T01:34:38.000Z", "endJd": 2460054.791215786, "endDate": "2023-04-20T06:59:21.000Z", "longitude": 29.839278300586834, "signIndex": 0, "totalityBeginJd": 2460054.6091770693, "totalityEndJd": 2460054.7477158764 } ] }}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.